package cn.citycraft.ResExtras.flags;

import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntityExplodeEvent;

import com.bekvon.bukkit.residence.Residence;
import com.bekvon.bukkit.residence.protection.ClaimedResidence;

public class BlockDamage implements Listener {
	@EventHandler(priority = EventPriority.NORMAL, ignoreCancelled = true)
	public void onBlockDamage(final EntityExplodeEvent event) {
		final ClaimedResidence res = Residence.getResidenceManager().getByLoc(event.getLocation());
		if (res != null) {
			if (!res.getPermissions().has("blockdamage", true)) {
				event.setCancelled(true);
			}
		}
	}
}
