package cn.citycraft.ResExtras.flags;

import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockGrowEvent;
import org.bukkit.event.block.BlockSpreadEvent;
import org.bukkit.event.world.StructureGrowEvent;

import com.bekvon.bukkit.residence.Residence;
import com.bekvon.bukkit.residence.protection.ClaimedResidence;

public class Grow implements Listener {
	@EventHandler(priority = EventPriority.NORMAL, ignoreCancelled = true)
	public void BlockGrow(final BlockGrowEvent event) {
		final ClaimedResidence res = Residence.getResidenceManager().getByLoc(event.getBlock().getLocation());
		if (res != null) {
			if (!res.getPermissions().has("grow", true)) {
				event.setCancelled(true);
				return;
			}
		}
	}

	@EventHandler(priority = EventPriority.NORMAL, ignoreCancelled = true)
	public void BlockGrowSpread(final BlockSpreadEvent event) {
		final ClaimedResidence res = Residence.getResidenceManager().getByLoc(event.getBlock().getLocation());
		if (res != null) {
			if (!res.getPermissions().has("grow", true)) {
				event.setCancelled(true);
				return;
			}
		}
	}

	@EventHandler(priority = EventPriority.NORMAL, ignoreCancelled = true)
	public void StructureGrow(final StructureGrowEvent event) {
		final ClaimedResidence res = Residence.getResidenceManager().getByLoc(event.getLocation());
		if (res != null) {
			if (!res.getPermissions().has("grow", true)) {
				event.setCancelled(true);
				return;
			}
		}
	}
}
