package cn.citycraft.ResExtras.flags;

import org.bukkit.ChatColor;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerPickupItemEvent;

import com.bekvon.bukkit.residence.Residence;
import com.bekvon.bukkit.residence.protection.ClaimedResidence;

import cn.citycraft.ResExtras.ResExtras;

public class PickupItem implements Listener {
	ChatColor derpa = ChatColor.RED;

	@EventHandler(priority = EventPriority.NORMAL, ignoreCancelled = true)
	public void onPickupItem(final PlayerPickupItemEvent event) {
		final Player player = event.getPlayer();
		final boolean resadmin = Residence.isResAdminOn(player);
		final ClaimedResidence res = Residence.getResidenceManager().getByLoc(event.getItem().getLocation());
		final String playername = player.getName();
		if (res != null) {
			if (!res.getPermissions().playerHas(playername, "pickup", true) && !resadmin) {
				ResExtras.sendMessage(player, "PickupItem");
				event.setCancelled(true);
			}
		}
	}
}