package cn.citycraft.ResExtras.flags;

import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.FoodLevelChangeEvent;

import com.bekvon.bukkit.residence.Residence;
import com.bekvon.bukkit.residence.protection.ClaimedResidence;

public class Hunger implements Listener {
	@EventHandler(priority = EventPriority.NORMAL, ignoreCancelled = true)
	public void onHunger(final FoodLevelChangeEvent event) {
		final ClaimedResidence res = Residence.getResidenceManager().getByLoc(event.getEntity().getLocation());
		if (res != null) {
			if (!res.getPermissions().has("hunger", true)) {
				event.setCancelled(true);
				return;
			}
		}
	}
}