package cn.citycraft.ResExtras.flags;

import org.bukkit.entity.Arrow;
import org.bukkit.entity.Entity;
import org.bukkit.entity.Monster;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntityDamageByEntityEvent;

import com.bekvon.bukkit.residence.Residence;
import com.bekvon.bukkit.residence.protection.ClaimedResidence;

import cn.citycraft.ResExtras.ResExtras;

public class Mobkilling implements Listener {

	@EventHandler(priority = EventPriority.NORMAL, ignoreCancelled = true)
	public void onMobkilling(final EntityDamageByEntityEvent event) {
		Player cause;
		final Entity damager = event.getDamager();
		if ((!(damager instanceof Arrow)) && (!(damager instanceof Player))) {
			return;
		}
		if ((damager instanceof Arrow) && (!(((Arrow) damager).getShooter() instanceof Player))) {
			return;
		} else if (damager instanceof Player) {
			cause = (Player) damager;
		} else {
			cause = (Player) ((Arrow) damager).getShooter();
		}
		final boolean resadmin = Residence.isResAdminOn(cause);
		if (resadmin) {
			return;
		}
		final Entity entity = event.getEntity();
		final ClaimedResidence res = Residence.getResidenceManager().getByLoc(entity.getLocation());

		if (res != null && !res.getPermissions().playerHas(cause.getName().toString(), "mobkilling", true)) {
			if (entity instanceof Monster) {
				ResExtras.sendMessage(cause, "Mobkilling");
				event.setCancelled(true);
			}
		}
	}
}