package cn.citycraft.ResExtras.flags;

import org.bukkit.ChatColor;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerMoveEvent;

import com.bekvon.bukkit.residence.Residence;
import com.bekvon.bukkit.residence.protection.ClaimedResidence;

import cn.citycraft.ResExtras.ResExtras;

public class Sprint implements Listener {
	ChatColor derpa = ChatColor.RED;

	@EventHandler(priority = EventPriority.MONITOR)
	public void onSprint(final PlayerMoveEvent event) {
		final Player player = event.getPlayer();
		final String playername = player.getName();
		final boolean resadmin = Residence.isResAdminOn(player);
		if (resadmin) {
			return;
		}
		if (!player.isSprinting() && (!player.isSneaking()))
			return;
		final ClaimedResidence res = Residence.getResidenceManager().getByLoc(event.getPlayer().getLocation());
		if (res != null) {
			if (!res.getPermissions().playerHas(playername, "sprint", true) && player.isSprinting()) {
				event.setCancelled(true);
				final long currentTime = System.currentTimeMillis();
				if (currentTime % 2000 >= 0 && currentTime % 2000 <= 100) {
					ResExtras.sendMessage(player, "Sprint");
					return;
				}
			}
		}
	}
}