package cn.citycraft.ResExtras.flags;

import org.bukkit.entity.Arrow;
import org.bukkit.entity.Entity;
import org.bukkit.entity.Player;
import org.bukkit.entity.Villager;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntityDamageByEntityEvent;

import com.bekvon.bukkit.residence.Residence;
import com.bekvon.bukkit.residence.protection.ClaimedResidence;

import cn.citycraft.ResExtras.ResExtras;

public class VillagerKilling implements Listener {

	@EventHandler(priority = EventPriority.NORMAL, ignoreCancelled = true)
	public void onVillagerKilling(final EntityDamageByEntityEvent event) {
		Player p = null;
		final Entity damager = event.getDamager();
		if ((!(damager instanceof Arrow)) && (!(damager instanceof Player))) {
			return;
		}
		if ((damager instanceof Arrow) && (!(((Arrow) damager).getShooter() instanceof Player))) {
			return;
		} else if (damager instanceof Player) {
			p = (Player) damager;
		} else {
			p = (Player) ((Arrow) damager).getShooter();
		}
		final boolean resadmin = Residence.isResAdminOn(p);
		if (resadmin) {
			return;
		}
		final Entity entity = event.getEntity();
		final ClaimedResidence res = Residence.getResidenceManager().getByLoc(entity.getLocation());
		if (res != null && !res.getPermissions().playerHas(p.getName().toString(), "villagerkilling", true)) {
			if (entity instanceof Villager) {
				ResExtras.sendMessage(p, "VillagerKilling");
				event.setCancelled(true);
			}
		}
	}
}
